CW
POST/app-api/v1/ebooks/{id}/queries

Submit ebook feedback query

Parameters

NameInRequiredDescription
idpathYes
x-request-idheaderNoOptional correlation id. Generated when omitted.

Request Body

EbookQueryDtoobject
querystring

Legacy key

messagestring

Preferred body key (20–50 words)

Related Schemas

EbookQueryDto
querystring

Legacy key

messagestring

Preferred body key (20–50 words)

Code samples

Generated from the current environment and the request configured in the Try-it panel.

curl -X POST 'https://app-api.crwilladmin.com/app-api/v1/ebooks/{id}/queries' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'apptype: android' \
  -H 'appver: 1.0.0' \
  -H 'webver: 1.0.0' \
  -H 'portalver: 1.0.0' \
  -H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
  -d '{
  "query": "",
  "message": ""
}' \